Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Class CircularReferenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.CircularReferenceException

    class CircularReferenceException
    extends GradleException

A `CircularReferenceException` is thrown if circular references exists between tasks, the project evaluation order or the project dependsOn order.

author:
  Hans Dockter

Constructor Summary
`CircularReferenceException()`
`CircularReferenceException(java.lang.String message)`
`CircularReferenceException(java.lang.String message, java.lang.Throwable cause)`
`CircularReferenceException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Exception
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Throwable
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### CircularReferenceException

    public CircularReferenceException()

### CircularReferenceException

    public CircularReferenceException(java.lang.String message)

### CircularReferenceException

    public CircularReferenceException(java.lang.String message, java.lang.Throwable cause)

### CircularReferenceException

    public CircularReferenceException(java.lang.Throwable cause)

Groovy Documentation